# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FBOAttachmentAbstract Class Reference

Abstract class that represents a framebuffer object attachment, i.e. More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOAttachmentAbstract:

List of all members.

## Public Member Functions
| FBOAttachmentAbstract ()
virtual const char * | className ()
| Returns the name of the class.
virtual | ~FBOAttachmentAbstract ()
virtual void | destroy ()
virtual void | bindAttachment (int w, int h, EAttachmentPoint attach_point)=0
| Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).
const std::set< ref < FBORenderTarget > > & | fboRenderTargets () const
| Returns an std::set containing the FBORenderTarget that use this FBO attachment.
## Protected Attributes
std::set< ref< FBORenderTarget > > | mFBORenderTargets
## Friends
class | FBORenderTarget

## Detailed Description

Abstract class that represents a framebuffer object attachment, i.e.

a texture or renderbuffer attachment.

## Constructor & Destructor Documentation

vl::FBOAttachmentAbstract::FBOAttachmentAbstract | ( |  | ) | `[inline]`

virtual vl::FBOAttachmentAbstract::~FBOAttachmentAbstract | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* vl::FBOAttachmentAbstract::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::FBORenderbufferAttachment, vl::FBOColorBufferAttachment, vl::FBODepthBufferAttachment, vl::FBOStencilBufferAttachment, vl::FBODepthStencilBufferAttachment, vl::FBOTexture1DAttachment, vl::FBOTexture2DAttachment, vl::FBOTextureAttachment, vl::FBOTexture3DAttachment, and vl::FBOTextureLayerAttachment.

void FBOAttachmentAbstract::destroy | ( |  | ) | `[virtual]`

Reimplemented in vl::FBORenderbufferAttachment.

virtual void vl::FBOAttachmentAbstract::bindAttachment | ( | int | w,
|  | int | h,
|  | EAttachmentPoint | attach_point |
| ) |  |  | `[pure virtual]`

Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).

This function also initializes its storage if 'w' and 'h' differ from the renderbuffer's current width() and height() and the renderbuffer is not a texture.

Implemented in vl::FBOColorBufferAttachment, vl::FBODepthBufferAttachment, vl::FBOStencilBufferAttachment, vl::FBODepthStencilBufferAttachment, vl::FBOTexture1DAttachment, vl::FBOTexture2DAttachment, vl::FBOTextureAttachment, vl::FBOTexture3DAttachment, and vl::FBOTextureLayerAttachment.

const std::set< ref<FBORenderTarget> >& vl::FBOAttachmentAbstract::fboRenderTargets | ( |  | ) | const`[inline]`

Returns an std::set containing the FBORenderTarget that use this FBO attachment.

## Friends And Related Function Documentation

friend class FBORenderTarget`[friend]`

Reimplemented in vl::FBORenderbufferAttachment.

## Member Data Documentation

std::set< ref<FBORenderTarget> > vl::FBOAttachmentAbstract::mFBORenderTargets`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.